import { EventMap } from '../EventEmitter.cjs';
import { HandshakeParent, EventEmitterWithHandshakeOptions } from '../handshake/index.cjs';
import 'zod';

declare class IFrameWindow<IncomingEvents extends EventMap, OutgoingEvents extends EventMap> extends HandshakeParent<IncomingEvents, OutgoingEvents> {
    iframe: HTMLIFrameElement;
    private constructor();
    static init<IncomingEvents extends EventMap, OutgoingEvents extends EventMap>(urlOrExistingIframe: string | HTMLIFrameElement, options?: EventEmitterWithHandshakeOptions<IncomingEvents, OutgoingEvents>): Promise<IFrameWindow<IncomingEvents, OutgoingEvents>>;
    static initExistingIFrame<IncomingEvents extends EventMap, OutgoingEvents extends EventMap>(iframe: HTMLIFrameElement, options?: EventEmitterWithHandshakeOptions<IncomingEvents, OutgoingEvents>): IFrameWindow<IncomingEvents, OutgoingEvents>;
}

export { IFrameWindow };
